Subject: bug#32413: 25.2; When run as root, emacs writes dconf files in a non-root user's /run/user/XXX directory

From: Vincent Lefevre <[email-masked]>
Date: Fri, 10 Aug 2018 14:57:58 +0200

On 2018-08-10 15:17:26 +0300, Eli Zaretskii wrote:
> > From: Vincent Lefevre <[email-masked]>
> > Date: Fri, 10 Aug 2018 11:30:09 +0200
> > 
> > Emacs should never create files/directories if the user hasn't
> > explicitly asked it to do that
> 
> I don't agree with this principle, not in this general form.  (The "in
> a directory owned by another user" part, to which I think I agree, as
> written, was not a qualification for this general statement, so it
> doesn't count for the purposes of the principle itself.)
> 
> As just one random example of what Emacs "should never do", we write
> the customizations to a file "without the user's explicit request".

I don't understand why there is anything to write if the user
hasn't customized anything. And if the user introduces some
customization, then this can be regarded as an explicit write
operation (due to the action of the user in this sense).

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)